Downloads

Downloads

The current version of the COM Plug-in for Eclipse is v1.1.8. This version supports Eclipse 3.4.x (Ganymede) and Eclipse 3.3.x (Europa) only. Eclipse 3.1.x/3.2.x and all products based on these (e.g. IBM Rational RSA 7.0) are supported by version 1.1.3.

The are two download methods for the COM Plug-in for Eclipse.

  1. The easiest and recommended way to download the COM Plug-in is to use the Eclipse update manager. The update site is http://www.comeclipse.com/updates/v1 or follow the instructions. This method also makes it easier to install the optional features and the correct version for your Eclipse.
  2. You can also download the COM Plug-in as pre-packaged files. This is handy for multiple installations or to use the linking features of Eclipse. For more information on how to use the linking features of Eclipse follow the instructions.
    The following files are available;

    1. au.com.swz.comeclipse_1.1.8.zip (1.98 MB)
      This version supports Eclipse 3.4.x (Ganymede) and Eclipse 3.3.x (Europa) only. This feature is mandatory since it contains the core COM development environment, project wizards and type library explorer. It also contains the SWTtoCOM generator and examples.
    2. au.com.swz.comeclipse_1.1.3.zip (1.91 MB)
      This version supports Eclipse 3.1.x/3.2.x and all products based on these (e.g. IBM Rational RSA 7.0). This feature is mandatory since it contains the core COM development environment, project wizards and type library explorer. It also contains the SWTtoCOM generator and examples.
    3. au.com.swz.com4j_1.1.1.zip (272 KB)
      This is an optional feature that contains the com4j development environment and runtime. Use it to build and run COM projects using the com4j frameworks.
    4. au.com.swz.com2java_1.0.15.beta.zip (39.8 KB)
      This is an optional feature that provides a beta version of the J-Integra® com2java tool integration. You must have J-Integra® installed to use this feature. This feature will NOT work with a trial license.